Get Overview
curl --request GET \
--url https://api.your-blindsight.com/api/overviewimport requests
url = "https://api.your-blindsight.com/api/overview"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.your-blindsight.com/api/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"workspace_id": "<string>",
"range_days": 123,
"generated_at": "2023-11-07T05:31:56Z",
"onboarded": true,
"capabilities": [],
"enabled_feature_keys": []
},
"runtime_security": {
"total_events": 123,
"verdict_breakdown": {},
"pii_hits": 0,
"injection_hits": 0,
"avg_latency_ms": 123,
"p95_latency_ms": 123,
"top_threats": [],
"series": []
},
"shadow_ai": {
"ai_systems_in_use": 0,
"managed_providers": 0,
"discovered_total": 0,
"shadow": 0,
"sanctioned": 0,
"blocked": 0
},
"data_security": {
"dataset_count": 0,
"open_critical_issues": 0,
"total_vulnerabilities": 0,
"health_breakdown": {},
"scan_counts": {},
"active_scans": 0,
"recent_scans": []
},
"dlp": {
"active_endpoints": 0,
"total_endpoints": 0,
"policy_count": 0,
"recent_blocked": 0,
"recent_flagged": 0
},
"compliance": {
"audit_events_total": 0,
"by_severity": {},
"usage_by_day": []
},
"drift": {
"top_dimension": "<string>",
"top_label": "<string>",
"psi": 0,
"severity": "stable"
},
"attention": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}overview
Get Overview
GET
/
api
/
overview
Get Overview
Query Parameters
Runtime Security / compliance window
Required range:
1 <= x <= 365Required range:
2 <= x <= 365Required range:
1 <= x <= 90Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

